Package org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans

# Class FallbackMethodGenericAbstractBeanA

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericAbstractBeanB<Long>
org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericAbstractBeanA

@ApplicationScoped public class FallbackMethodGenericAbstractBeanA extends FallbackMethodGenericAbstractBeanB<Long>

## Constructor Summary

Constructors
Constructor
Description
`FallbackMethodGenericAbstractBeanA()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`fallback(int a, Long b)`

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericAbstractBeanB

`method`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FallbackMethodGenericAbstractBeanA

public FallbackMethodGenericAbstractBeanA()

## Method Details

### fallback

protected String fallback(int a, Long b)

Specified by:
  `fallback` in class `FallbackMethodGenericAbstractBeanB<Long>`